@rem Contact: www.retrocmp.com/tools/tu58fs , j_hoppe@t-online.de

@rem  Set number of serial COM port and baudrate connected to TU58 UART.
set BAUD=38400
set PORT=
@rem  Examples:
@rem  set PORT=1
@rem  set PORT=9

@echo.
@echo This demo boots RT-11 V5.3 from an unpacked TU58 image and generates a 2nd
@echo TU58 tape unit in the shared directory "rt11#1".
@echo Under RT-11, this is accessible as DD1:
@echo The ADVENTure game is copied onto the shared directory.
@echo To start ADVENT from DD1: type
@echo   ASSIGN DD1: DK:
@echo   RUN ADVENT
@echo.

@if not x%PORT%x == xx goto tu58fs
    @echo But: Serial port not set!
    @echo You already have a serial connection to the console port on your PDP-11?
    @echo Now connect a 2nd serial port to the TU58 UART at 176500,
    @echo determine the local serial port device and baudrate,
    @echo and edit the \$PORT and \$BAUD variables in this script.
    @echo
    @goto exit

:tu58fs
@echo After start you can boot your PDP-11 from the DD0: device.
@echo Press ENTER to continue. End tu58fs by typing a "Q".
@pause
@echo.

@rem Prefill the shared directory
mkdir rt11#1
copy rt11_advent\*.* rt11#1

tu58fs.exe -v -p %PORT% -b %BAUD%  --rt11 -unpack rt11v53.tu58 rt11#0 TU58   -sd 0 w rt11v53#0   -sd 1 w rt11v53#1

:exit
